<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");



	
	$accounttypemid=$_POST['accounttypemid'];
	$accounttypename=$_POST['accounttypename'];
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */
 $eve = "select * from res_accounttype_master where accounttypename='$accounttypename' and accounttypemid != $accounttypemid";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "accounttype Code Already Inserted.";
		header('Location: accounttype.php');
	}
	else
	{	
	

	$eve1 = "update res_accounttype_master set accounttypename='$accounttypename' $tt where accounttypemid='$accounttypemid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "accounttype Record Updated succesfully";

		header('Location: accounttype.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: accounttype.php');

	}
	}

?>